From: <a href="/blend/av.cgi?id=1979">FalconRia</a><BR>
Date: 2 October 2009<P>

marfell1964, about <a href="/blend/wv.cgi?id=2009.10.01.17.59.1640">Answer</a>:<BR>
<BR>
Oh, Yees!<BR>
<BR>
I Remember!<BR>
Everything!!<BR>
Every moment.<BR>
Every time<BR>
our eyes met.<BR>
Every hug.<BR>
Most of the Words...<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 2 October 2009<P>

Suzie I could feel your words. I have a son too... my heart goes out to you both. Give him a hug from me too when he gets home.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 2 October 2009<P>

Edmundo Daudi, about <a href="/blend/wv.cgi?id=2009.10.02.05.31.17186">Notes from a lucky fucker who had salsa as an elective in high school</a>:<BR>
<BR>
When you want to move it's awful to get caught with a dunderhead that does not know how to...haa <BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 2 October 2009<P>

<a href="http://kisrael.com/2009/09/29/">http://kisrael.com/2009/09/29/</a> is the table of contents for my Portugal trip photoblog.<BR>
<BR>
BK the economy there is- I dunno, not great. I didn't really see that part of it, but "The Crisis" is very much on their minds.<BR>
<BR>
marfell, any luck?
<HR>
From: <a href="/blend/av.cgi?id=1988">Edmundo Daudi</a><BR>
Date: 2 October 2009<P>

so, BK, your a dancer too!  Impressive.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 2 October 2009<P>

It's been a while, so I am rusty, yes I can dance and have in front of a good sized audience of people once for a rock and roll show's opening act. It was fun and frightening.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1731">Marfell1964</a><BR>
Date: 2 October 2009<P>

Kirk ,<BR>
Got it. Need to work on my patience.  :)
<HR>